Tried to deploy app on React + Typescript. Can't see exact error why it can't compile, only ESLint advices

Hi everyone!
Can’t understand why webstite do not want to deploy normally with npm run build command.
I used React, React bootstrap and Typescript.
This is log i get on netlify:

11:21:14 PM: build-image version: d55944c047ef0aee2ac01971edde72cb2a50acfe (focal) 11:21:14 PM: build-image tag: v4.16.1 11:21:14 PM: buildbot version: 258e52471912d4d18d02bdbeb31c91d0d03a1f15 11:21:14 PM: Fetching cached dependencies 11:21:14 PM: Failed to fetch cache, continuing with build 11:21:14 PM: Starting to prepare the repo for build 11:21:14 PM: No cached dependencies found. Cloning fresh repo 11:21:14 PM: git clone https://github.com/Rmk-kk/FS13-React-BudgetApp 11:21:15 PM: Preparing Git Reference refs/heads/main 11:21:15 PM: Parsing package.json dependencies 11:21:16 PM: Section completed: initializing 11:21:16 PM: Starting build script 11:21:16 PM: Installing dependencies 11:21:16 PM: Python version set to 2.7 11:21:17 PM: v16.19.0 is already installed. 11:21:17 PM: Now using node v16.19.0 (npm v8.19.3) 11:21:17 PM: Enabling node corepack 11:21:17 PM: Started restoring cached build plugins 11:21:17 PM: Finished restoring cached build plugins 11:21:17 PM: Attempting ruby version 2.7.2, read from environment 11:21:18 PM: Using ruby version 2.7.2 11:21:18 PM: Using PHP version 8.0 11:21:18 PM: No npm workspaces detected 11:21:18 PM: Started restoring cached node modules 11:21:18 PM: Finished restoring cached node modules 11:21:18 PM: Installing NPM modules using NPM version 8.19.3 11:21:23 PM: npm WARN deprecated w3c-hr-time@1.0.2: Use your platform's native performance.now() and performance.timeOrigin.npm WARN deprecated stable@0.1.8: Modern JS already guarantees Array#sort() is a stable sort, so this library is deprecated. See the compatibility table on MDN: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/sort#browser_compatibility 11:21:23 PM: npm WARN deprecated sourcemap-codec@1.4.8: Please use @jridgewell/sourcemap-codec instead 11:21:23 PM: npm WARN deprecated rollup-plugin-terser@7.0.2: This package has been deprecated and is no longer maintained. Please use @rollup/plugin-terser 11:21:26 PM: npm WARN deprecated svgo@1.3.2: This SVGO version is no longer supported. Upgrade to v2.x.x. 11:21:33 PM: added 1533 packages, and audited 1534 packages in 14s 11:21:33 PM: 228 packages are looking for funding 11:21:33 PM: run npm fundfor details 11:21:33 PM: 6 high severity vulnerabilities 11:21:33 PM: To address all issues (including breaking changes), run: 11:21:33 PM: npm audit fix --force 11:21:33 PM: Runnpm audit for details. 11:21:33 PM: NPM modules installed 11:21:33 PM: Creating package sha 11:21:33 PM: Started restoring cached go cache 11:21:33 PM: Finished restoring cached go cache 11:21:33 PM: go version go1.19.4 linux/amd64 11:21:33 PM: Detected 1 framework(s) 11:21:33 PM: "create-react-app" at version "5.0.1" 11:21:33 PM: Installing missing commands 11:21:33 PM: Verify run directory 11:21:35 PM: ​ 11:21:35 PM: Netlify Build 11:21:35 PM: ──────────────────────────────────────────────────────────────── 11:21:35 PM: ​ 11:21:35 PM: ❯ Version 11:21:35 PM: @netlify/build 29.2.1 11:21:35 PM: ​ 11:21:35 PM: ❯ Flags 11:21:35 PM: baseRelDir: true 11:21:35 PM: buildId: 63a22738ba9b2c20b2cb2c4a 11:21:35 PM: deployId: 63a22738ba9b2c20b2cb2c4c 11:21:35 PM: ​ 11:21:35 PM: ❯ Current directory 11:21:35 PM: /opt/build/repo 11:21:35 PM: ​ 11:21:35 PM: ❯ Config file 11:21:35 PM: No config file was defined: using default values. 11:21:35 PM: ​ 11:21:35 PM: ❯ Context 11:21:35 PM: production 11:21:35 PM: ​ 11:21:35 PM: 1. Build command from Netlify app 11:21:35 PM: ──────────────────────────────────────────────────────────────── 11:21:35 PM: ​ 11:21:35 PM: $ npm run build 11:21:35 PM: > budget-app@0.1.0 build 11:21:35 PM: > react-scripts build 11:21:37 PM: Creating an optimized production build... 11:21:51 PM: 11:21:51 PM: Treating warnings as errors because process.env.CI = true. 11:21:51 PM: Most CI servers set it automatically. 11:21:51 PM: 11:21:51 PM: Failed to compile. 11:21:51 PM: 11:21:51 PM: [eslint] 11:21:51 PM: src/components/App/App.tsx 11:21:51 PM: Line 43:7: React Hook useEffect has a missing dependency: 'balance.target'. Either include it or remove the dependency array. You can also replace multiple useState variables with useReducer if 'setBalance' needs the current value of 'balance.target' react-hooks/exhaustive-deps 11:21:51 PM: src/components/Header/Header.tsx 11:21:51 PM: Line 13:8: React Hook useEffect has a missing dependency: 'setRadioFilter'. Either include it or remove the dependency array react-hooks/exhaustive-deps 11:21:51 PM: src/components/ModalWindow/ModalWindow.tsx 11:21:51 PM: Line 2:20: 'useEffect' is defined but never used @typescript-eslint/no-unused-vars 11:21:51 PM: src/components/Pie-chart/PieChart.tsx 11:21:51 PM: Line 21:8: React Hook useEffect has a missing dependency: 'drawChart'. Either include it or remove the dependency array react-hooks/exhaustive-deps 11:21:51 PM: src/components/Savings-content/SavingsContent.tsx 11:21:51 PM: Line 2:16: 'useEffect' is defined but never used @typescript-eslint/no-unused-vars 11:21:51 PM: src/components/Savings-modal/SavingsModal.tsx 11:21:51 PM: Line 1:20: 'useEffect' is defined but never used @typescript-eslint/no-unused-vars 11:21:51 PM: Line 15:12: 'date' is assigned a value but never used @typescript-eslint/no-unused-vars 11:21:51 PM: ​ 11:21:51 PM: "build.command" failed 11:21:51 PM: ──────────────────────────────────────────────────────────────── 11:21:51 PM: ​ 11:21:51 PM: Error message 11:21:51 PM: Command failed with exit code 1: npm run build 11:21:51 PM: ​ 11:21:51 PM: Error location 11:21:51 PM: In Build command from Netlify app: 11:21:51 PM: npm run build 11:21:51 PM: ​ 11:21:51 PM: Resolved config 11:21:51 PM: build: 11:21:51 PM: command: npm run build 11:21:51 PM: commandOrigin: ui 11:21:51 PM: publish: /opt/build/repo/build 11:21:51 PM: publishOrigin: ui 11:21:52 PM: Caching artifacts 11:21:52 PM: Started saving node modules 11:21:52 PM: Finished saving node modules 11:21:52 PM: Started saving build plugins 11:21:52 PM: Finished saving build plugins 11:21:52 PM: Started saving pip cache 11:21:52 PM: Finished saving pip cache 11:21:52 PM: Started saving emacs cask dependencies 11:21:52 PM: Finished saving emacs cask dependencies 11:21:52 PM: Started saving maven dependencies 11:21:52 PM: Finished saving maven dependencies 11:21:52 PM: Started saving boot dependencies 11:21:52 PM: Finished saving boot dependencies 11:21:52 PM: Started saving rust rustup cache 11:21:52 PM: Finished saving rust rustup cache 11:21:52 PM: Started saving go dependencies 11:21:52 PM: Finished saving go dependencies 11:21:54 PM: Build failed due to a user error: Build script returned non-zero exit code: 2 11:21:54 PM: Failing build: Failed to build site 11:21:54 PM: Failed during stage 'building site': Build script returned non-zero exit code: 2 11:21:54 PM: Finished processing build request in 40.359702277s

Thank you for checking out and help!

Hi @Rmk-kk :wave:t6: welcome back to the forums! We’re glad you are here.

First, have you looked through this resource 7? It is a compilation of all of our build and deploy resources. This is a good starting point.

If those resources don’t get you on the right track, can you share a bit more information about what you are trying to accomplish?

Lastly, please share these additional details so we can look into your experience further:

  • the name of your build instance: “example-jones.netlify.com 1
  • your project repo
  • a full copy of your latest deploy log
  • what you have already tried for this deploy
  • any error messages you have received in your terminal window or in the developer console

Thanks so much!